<?php declare(strict_types=1);

namespace App\ServiceResults;

final class ServiceResultSuccess extends ServiceResult
{
    public function __construct(
        private readonly string $message
    ) { }

    public function getMessage(): string
    {
        return $this->message;
    }
}
